org.apache.lucene.document

## Class SortedBytesDocValuesField

- java.lang.Object
- - org.apache.lucene.document.Field
  - - org.apache.lucene.document.SortedDocValuesField
    - - org.apache.lucene.document.SortedBytesDocValuesField

All Implemented Interfaces:
  IndexableField

Deprecated.
Use `SortedDocValuesField` instead.

    @Deprecated
    public class SortedBytesDocValuesField
    extends SortedDocValuesField

Field that stores a per-document `BytesRef` value, indexed for sorting. Here's an example usage:

       document.add(new SortedBytesDocValuesField(name, new BytesRef("hello")));

If you also need to store the value, you should add a separate `StoredField` instance.

See Also:
  `SortedDocValues`

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.document.Field

`Field.Index, Field.Store, Field.TermVector`

### Field Summary

Fields
`static FieldType` `TYPE_FIXED_LEN` Deprecated. Type for sorted bytes DocValues: all with the same length
`static FieldType` `TYPE_VAR_LEN` Deprecated. Type for sorted bytes DocValues: can have variable lengths

### Fields inherited from class org.apache.lucene.document.SortedDocValuesField

`TYPE`

### Fields inherited from class org.apache.lucene.document.Field

`boost, fieldsData, name, tokenStream, type`

### Constructor Summary

Constructors
Constructor and Description
`SortedBytesDocValuesField(String name, BytesRef bytes)` Deprecated. Create a new fixed or variable-length sorted DocValues field.
`SortedBytesDocValuesField(String name, BytesRef bytes, boolean isFixedLength)` Deprecated. Create a new fixed or variable length sorted DocValues field.

### Method Summary

### Methods inherited from class org.apache.lucene.document.Field

`binaryValue, boost, fieldType, name, numericValue, readerValue, setBoost, setBytesValue, setBytesValue, setByteValue, setDoubleValue, setFloatValue, setIntValue, setLongValue, setReaderValue, setShortValue, setStringValue, setTokenStream, stringValue, tokenStream, tokenStreamValue, toString, translateFieldType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### TYPE_FIXED_LEN

    public static final FieldType TYPE_FIXED_LEN

Deprecated.
Type for sorted bytes DocValues: all with the same length

#### TYPE_VAR_LEN

    public static final FieldType TYPE_VAR_LEN

Deprecated.
Type for sorted bytes DocValues: can have variable lengths

### Constructor Detail

#### SortedBytesDocValuesField

    public SortedBytesDocValuesField(String name,
                             BytesRef bytes)

Deprecated.
Create a new fixed or variable-length sorted DocValues field.

Parameters:
  `name` - field name
  `bytes` - binary content
Throws:
  `IllegalArgumentException` - if the field name is null

#### SortedBytesDocValuesField

    public SortedBytesDocValuesField(String name,
                             BytesRef bytes,
                             boolean isFixedLength)

Deprecated.
Create a new fixed or variable length sorted DocValues field.

Parameters:
  `name` - field name
  `bytes` - binary content
  `isFixedLength` - (ignored)
Throws:
  `IllegalArgumentException` - if the field name is null